Bug 153380 - [run]: Panic / translation fault with wlan on ARM
Summary: [run]: Panic / translation fault with wlan on ARM
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: 8.2-PRERELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-arm mailing list
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2010-12-22 20:50 UTC by Allison Nicole Reid
Modified: 2019-02-04 09:42 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allison Nicole Reid 2010-12-22 20:50:09 UTC
Repeatable panic when connecting to a hostap wlan network on my Seagate Dockstar (ARM / Kirkwood).


vm_fault(0xc0cc9254, 0, 1, 0) -> 1
Fatal kernel mode data abort: 'Translation Fault (P)'
trapframe: 0xc8413d8c
FSR=00000017, FAR=0000000c, spsr=20000013
r0 =c1bba000, r1 =00000000, r2 =00000000, r3 =00001908
r4 =00000000, r5 =c1bba000, r6 =c1bba000, r7 =c19e7c00
r8 =c19ee778, r9 =c09c97c0, r10=c19db000, r11=00000000
r12=c0ce2100, ssp=c8413dd8, slr=c09c9818, pc =c0ae6cd8

panic: Fatal abort
Uptime: 16m8s
Cannot dump. Device not defined or unavailable.
Automatic reboot in 15 seconds - press a key on the console to abort



My kernel is built with these patches: http://cooltrainer.org/projects/freebsd-kirkwood/building/

run and runfw are built into the kernel for my adapter:

ugen0.5: <Ralink> at usbus0
run0: <1.0> on usbus0
run0: MAC/BBP RT3070 (rev 0x0201), RF RT2020 (MIMO 1T1R), address d8:5d:4c:98:3b:7f
run0: firmware RT2870 loaded
pochan# usbconfig -u 0 -a 5 dump_device_desc                      
ugen0.5: <802.11 g WLAN Ralink> at usbus0, cfg=0 md=HOST spd=HIGH (480Mbps) pwr=ON

  bLength = 0x0012 
  bDescriptorType = 0x0001 
  bcdUSB = 0x0200 
  bDeviceClass = 0x0000 
  bDeviceSubClass = 0x0000 
  bDeviceProtocol = 0x0000 
  bMaxPacketSize0 = 0x0040 
  idVendor = 0x148f 
  idProduct = 0x2070 
  bcdDevice = 0x0101 
  iManufacturer = 0x0001  <Ralink>
  iProduct = 0x0002  <802.11 g WLAN>
  iSerialNumber = 0x0003  <1.0>
  bNumConfigurations = 0x0001

How-To-Repeat: pochan# ifconfig wlan0 create wlandev run0 wlanmode hostap
wlan0: Ethernet address: d8:5d:4c:98:3b:7f
pochan# ifconfig wlan0 inet 172.16.0.2 netmask 255.240.0.0 ssid FreeBSD-Kirkwood channel 11

pochan# ifconfig wlan0
wlan0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        ether d8:5d:4c:98:3b:7f
        inet 172.16.0.2 netmask 0xfff00000 broadcast 172.31.255.255
        media: IEEE 802.11 Wireless Ethernet autoselect mode 11g <hostap>
        status: running
        ssid FreeBSD-Kirkwood channel 11 (2462 MHz 11g) bssid d8:5d:4c:98:3b:7f
        country US authmode OPEN privacy OFF txpower 0 scanvalid 60
        protmode CTS wme dtimperiod 1 -dfs


Try to connect: http://i.imgur.com/WL5cz.png
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:28 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 Andriy Voskoboinyk freebsd_committer 2019-02-04 09:42:49 UTC
Since the driver was in working state after base r253757 - see bug #179532 - I think the is not relevant anymore; if that's not true please reopen this PR.